/* editor.h */

#ifndef __EDITOR_H
#define __EDITOR_H

/* Some defines for edit modes */
#define EDITMODE_GAME		0
#define EDITMODE_GENERIC	1
#define EDITMODE_LIGHTS		2
#define EDITMODE_LEVEL		3
#define EDITMODE_ANIMATION	4
#define EDITMODE_OBJECTS	5
#define EDITMODE_ENTITY		6

/* List of textual descriptions of edit modes */
extern char *editor_editmodes[];

/* Current editor mode */
extern int editor_editmode;

/* Console externs */
extern int e_console_ypos;
extern int e_console_flags;
extern br_pixelmap *con_overlay;

/* Function externs */
extern int Editor_SetupEditorEnvironment(void);
extern br_model *Editor_ImportCFM(char * /*filename */ );
extern void Editor_DrawMouse(br_pixelmap* /*Screen*/ ,int /*color*/,int /*x*/,int /*y*/);
extern void Editor_SetAllBilinear(void);
extern void Editor_SetAllBilinearNot(void);
extern void Editor_OverlayDebug(char * /*text*/);
extern void Editor_DisplayOverlay(br_pixelmap * /*screen*/,br_pixelmap * /*depth*/,int /*ypos*/,br_pixelmap * /*overlay*/);
extern void Editor_HandleEditorStates(int /*mouse_x*/,int /*mouse_y*/,int /*buttons*/);

extern void Editor_HandleConsole(void);

extern br_actor *Editor_SearchTree(br_actor * /*actor*/,char * /*identifier*/);
extern br_actor *Editor_SearchTreeNew(br_actor * /*actor*/,char * /*identifier*/);

/*
 * 3D Studio .3DS files
 */
br_fmt_results * BR_PUBLIC_ENTRY MBrFmt3DSLoad(char *name, br_fmt_options *fmt_options, br_3ds_options *options);

#endif
